//-----------------------------------------------------------------------------
///
/// \brief  QSPI
///
///         Blah blah blub
///
/// \date   20241230
/// \author Maximilian Seesslen <mes@seesslen.net>
///
//-----------------------------------------------------------------------------


//---Includes------------------------------------------------------------------


//---Own------------------------------

#include <biwak/qspi.hpp>
#include <biwak/linux/qspi.hpp>


//---Implementation------------------------------------------------------------


CQSpi::CQSpi(const SQSpiConfig &configData)
   :m_configData( configData )
   ,m_cs{ configData.eGpioPeripheralCs, configData.eGpioPinCs }
   ,m_sck{ configData.eGpioPeripheralClk, configData.eGpioPinClk }
   ,m_io{
      { configData.eGpioPeripheralClk, configData.eGpioPinClk },
      { configData.eGpioPeripheralIO0, configData.eGpioPinIO0 },
      { configData.eGpioPeripheralIO1, configData.eGpioPinIO1 },
      { configData.eGpioPeripheralIO2, configData.eGpioPinIO2 },
   }
{
   
}


CQSpi::~CQSpi()
{
}


int CQSpi::readJedecId()
{
   return( 0x1122 );
}


int CQSpi::writeStatus(uint16_t status)
{
   return( -1 );
}


int CQSpi::dump(int address)
{
   return(-1);
}


int CQSpi::enableHPM()
{
   return(0);
}


int CQSpi::readStatus()
{
   return(0);
}


int CQSpi::wakeUp()
{
   return(-1);
}


int CQSpi::write(int address, const uint8_t *data, int len)
{
   return(0);
}


//---fin-----------------------------------------------------------------------
